Package org.apache.commons.lang3

## Interface ThreadUtils.ThreadPredicate

All Known Implementing Classes:
  `ThreadUtils.NamePredicate`, `ThreadUtils.ThreadIdPredicate`

Enclosing class:
  ThreadUtils

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface ThreadUtils.ThreadPredicate

A predicate for selecting threads.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `test​(java.lang.Thread thread)` Evaluates this predicate on the given thread.

### Method Detail

#### test

    boolean test​(java.lang.Thread thread)

Evaluates this predicate on the given thread.

Parameters:
  `thread` - the thread
Returns:
  `true` if the thread matches the predicate, otherwise `false`